Subject: Re: bug#52328: 27.2; [DOC] Paragraph about quit-restore-window

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Dec 2021 20:31:46 +0200

> Date: Mon, 06 Dec 2021 12:46:58 +0100
> From:  Kevin Vigouroux via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> If the third element of the ‘quit-restore’ parameter is a list of
> buffer, window start (*note Window Start and End), and point
> (*note
> Window Point), and that buffer is still live, the buffer will be
> displayed, and start and point set accordingly. If, in addition,
> WINDOW’s buffer was temporarily resized, this function will also try to
> restore the original height of WINDOW.
> #+end_quote
> 
> It seems to me that there could be an error in the presentation or in
> the designation of the elements.
> 
> Is it the WINDOW parameter (second element of ‘quit-restore’) or is it
> the window selected at the time the parameter was created (third element
> of ‘quit-restore’)?

Neither, AFAIU.  It's the WINDOW argument of quit-restore-window
function, i.e. the window the function is quitting.  The upper-case
WINDOW signals that it refers to an argument of a function, not to
some symbol by that name.

I do agree that the description of the function is very hard to
understand, due to the multitude of possible formats of the
quit-restore parameter and the meaning of its elements.